Bug 8352 - date -f : Segmentation fault
date -f : Segmentation fault
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: bero
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-10 18:23 EST by Lew Riley
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-03 16:42:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lew Riley 2000-01-10 18:23:56 EST
Using the -f switch with the date command, the date strings in the file are
processed properly, and then I get a segmentation fault. For example:

$ date > t.t
$ date >> t.t
$ date -f t.t
Mon Jan 10 18:29:25 EST 2000
Mon Jan 10 18:29:29 EST 2000
Segmentation fault (core dumped)
$

This was not a problem on RedHat 5.2. Running strace, it looks like a final
read runs off the end of the file causing the fault.
Comment 1 Elliot Lee 2000-02-03 16:42:59 EST
Works with the 'date' on my system, I'll assume it has been fixed recently.

Note You need to log in before you can comment on or make changes to this bug.